/* eslint-disable */
// @ts-nocheck
import { Metadata, Http, IDictionary } from '@zeedhi/core';
import { LoadingService, DialogService, GridEditable, Modal, ModalService, Form } from '@zeedhi/common';

export class AjusteController {

  private ajuteItensModal!: Modal;

  public currentRowSelected2 = false;

  get maxProductInStock() {
    return this.selectProdutoCurrentRow.QTESTOQDIA || 0;
  }
  
  public async createFullscreenModal() {
    this.fullscreenModal = await ModalService.createFromJson('vue/components/modal/full-screen-modal', true);
  }
  
  public async createAjuteItensModal() {
    this.ajuteItensModal = await ModalService.createFromJson('components/ajusteInventarioItens', true);
  }
  
  public destroyAjuteItensModal() {
    this.ajuteItensModal?.destroy();
  }
  
  public openDetail({ row, component }) {
    const gridPrincipal = Metadata.getInstance<TekGrid>('gridPrincipal');
    const gridItems = Metadata.getInstance<TekGrid>('gridItems');
    const cardItems = Metadata.getInstance<ZdCard>('cardItens');
    cardItems.isVisible = true;
    gridPrincipal.isVisible = false;
    
    gridItems.datasource.filter.CDFILIAL = row.CDFILIAL;
    gridItems.datasource.filter.NRLANCESTQ = row.NRLANCESTQ;
    gridItems.reload();
  }
  
  public closeItems({ row, component }) {
    const gridPrincipal = Metadata.getInstance<TekGrid>('gridPrincipal');
    const gridItems = Metadata.getInstance<TekGrid>('gridItems');
    const cardItems = Metadata.getInstance<ZdCard>('cardItens');
    cardItems.isVisible = false;
    gridPrincipal.isVisible = true;
  }
  
} 